#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
int a,b,osszeg=0;
cin>>a>>b;
for(int i=0;i<a;i++)
{
for(int j=0;j<b;j++)
{
    int k;
    cin>>k;
    osszeg+=k;
}
}
cout<<osszeg+1;
}